ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Loughran <ste...@apache.org>
Subject Re: Dumb Question on ant-optional..
Date Mon, 16 Jun 2008 13:02:48 GMT
Martin wrote:
> Good Morning All-
> 
> for ANT v 1.70
> what happened to ant-optional-1.5.2.jar?
> 
> I see this discontinuity when running ant
> Invalid implementation version between Ant core and Ant optional tasks.
>  core    : 1.7.0
>  optional: 1.5.2
> 
> Is there a different ant-optional which reconciles with ANT 1.70 ?

we broke everything up so that the ant-*.jar shows what it depends on. 
This lets you play more complex classpath games and  eventually get 
everything sorted out. Mixing old-and-new ant jars doesnt work, which is 
why Ant checks for it. Try deleting ant-optional.jar altogether

-- 
Steve Loughran                  http://www.1060.org/blogxter/publish/5
Author: Ant in Action           http://antbook.org/

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message